Bug 1126234 - Wrong policy for telepathy-mission-control
Summary: Wrong policy for telepathy-mission-control
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 21:25 UTC by Andrey Motoshkov
Modified: 2015-06-29 21:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:55:39 UTC


Attachments (Terms of Use)

Description Andrey Motoshkov 2014-08-03 21:25:07 UTC
Description of problem:
Many log entries like:
Aug  4 00:00:56 dragonfly dbus-daemon: dbus[677]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.33" (uid=42 pid=1394 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.NetworkManager" member="GetPermissions" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager" (uid=0 pid=784 comm="/usr/sbin/NetworkManager --no-daemon ")
Aug  4 00:00:56 dragonfly dbus-daemon: dbus[677]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.36" (uid=42 pid=1474 comm="/usr/libexec/mission-control-5 ") interface="org.freedesktop.NetworkManager" member="GetPermissions" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager" (uid=0 pid=784 comm="/usr/sbin/NetworkManager --no-daemon ")
Aug  4 00:00:56 dragonfly dbus[677]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.33" (uid=42 pid=1394 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.NetworkManager" member="GetPermissions" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager" (uid=0 pid=784 comm="/usr/sbin/NetworkManager --no-daemon ")
Aug  4 00:00:56 dragonfly dbus[677]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.36" (uid=42 pid=1474 comm="/usr/libexec/mission-control-5 ") interface="org.freedesktop.NetworkManager" member="GetPermissions" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager" (uid=0 pid=784 comm="/usr/sbin/NetworkManager --no-daemon ")
 

Version-Release number of selected component (if applicable):
dbus-1.6.12-9.fc20.x86_64
telepathy-mission-control-5.16.2-1.fc20.x86_64

How reproducible:
Nothing special

Steps to Reproduce:
1. Nothing special
2.
3.

Actual results:


Expected results:
No log entries

Additional info:

Comment 1 Lars E. Pettersson 2014-08-31 15:33:02 UTC
I get the same thing. It is a newly installed system, fully updated, using the same versions of dbus and telepathy-mission-control as the initial reporter.

The only difference is that I get 4 of each message involving mission-control-5 and NetworkManager. They appear each 10th minute.

I also get lines from, I think gdm (gdm-3.10.0.1-1.fc20.x86_64), also 4 of each each time, it is not as regular as the mission-control lines, sometimes each 10th minute, sometimes with longer intervals, sometimes shorter. Two examples:

Aug 31 17:17:15 localhost.localdomain dbus-daemon[757]: dbus[757]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.29" (uid=42 pid=1007 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.NetworkManager" member="GetPermissions" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager" (uid=0 pid=744 comm="/usr/sbin/NetworkManager --no-daemon ") 

Aug 31 17:17:15 localhost.localdomain dbus[757]: [system] Rejected send message, 3 matched rules; type="method_call", sender=":1.29" (uid=42 pid=1007 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.NetworkManager" member="GetPermissions" error name="(unset)" requested_reply="0" destination="org.freedesktop.NetworkManager" (uid=0 pid=744 comm="/usr/sbin/NetworkManager --no-daemon ") 

NetworkManager seemes to be involved somehow, as seen in the log lines from the initial reporter and from me. I am using NetworkManager-0.9.9.0-43.git20131003.fc20.x86_64

On the systems I have, not using NetworkManager, I do not see these problems.

Comment 2 Fedora End Of Life 2015-05-29 12:33:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:55:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.